Hi,
I finally got the journal working.
The user need to select a cell from a table and then run the journal. It fullfills the selected cell with the UserName (or the current date).
Here is the code if someone want to use it.
Regards,
Javier
Imports System
Imports NXOpen
Imports NXOpen.UF...
Hi,
jerry1423, I've tried as Ucgenyazilim proposal (https://community.sw.siemens.com/s/question/0D54O000061wtH5SAI/how-to-place-creation-date-on-a-drawing-in-title-block), but the Date is updating every day the drawing is open. Also, I want to insert the username...
cowsky, Tomorrow I'll try...
Hi,
I'm trying to write a journal to fullfill the Date on a titleblock selected cell. So, the user selects first a cell, and running the journal, the selected cell is filled with the current Date.
My trouble is to get the Table instead of the TableSection.
By now this is my current code...
Hi Andersen07,
I don't have experience with PTS but I think it should work too. On the Reuse Library Navigator click RMB the reusable part and choose Create KRX file; then, edit the file as indicated on the above link.
Regards
Javi
NX 12.0.2.9 MP14
Hi cowski,
Yes, that was the problem. Now, for selecting the bodies I use the function AskAllBodies related on Link that recopiles the occurrences.
Thanks cowski.
Regards,
Javi
NX 12.0.2.9 MP14
Hi,
I intend to make a journal that makes a new component containing all the bodies in Layer 1 from all components. (This is a simple aproximation of real thing)
Firstly I cycle all components in assembly, collecting for each component the bodies in layer 1 and creating a List (Of Body)...
Hi,
Finally I've solved it. Per API documentation about UF_PART_export_with_options:
"For V14.0.1, the behavior of this function was modified as follows:
When exporting geometry using this function, the geometry would
not be oriented properly in the destination part if the WCS of the
source...
Hi,
We have several CAM systems (NX, PowerMill, WorkCNC) and to comply with all of theirs we create for each part a new file (prt) with the geometry of the piece and the raw material cleaned of other construction geometries. Then each one of the CAM systems "import" the geometry for generating...
Hi 3DDave,
If I understand correctly, you refers to another CAD systems different to NX, right?
To do this in NX in a similar way, I would need to add a coordinate system relative to Assembly AbsoluteCsys and then when import I would to reposition the different parts to matching these...
Hi cowsky,
Unfortunately this approach is the same as mine (derived from your answer in thread Link . I do not want to export "all" solids on display part (on a defined layer); what I need is to export the bodies from the "different WorkParts" (cycling on the assembly) with the position...
Hi Toost,
I´d prefer not go out of NX, but it could be a solution. If there is no other way I will try it.
Thanks for your time.
Regards
Javier
NX 12.0.2.9 MP14
Hi,
I'm trying to make a journal that exports the solid objects on layers 1 and 100 to a new file without parameters. I've finded this thread: Linkthat was very usefull.
My problem is that the resulting geometry on the new part is positionated relative to the original component (the owner of...
Hi,
I need to get the curves (splines) from a feature text that I've created with a textBuilder.
Recording a journal I get the next code:
Dim features2(0) As NXOpen.Features.Feature
Dim text1 As NXOpen.Features.Text = CType(displayPart.Features.FindObject("TEXT(25)"), NXOpen.Features.Text)...
Hi,
I'm suffering a strange behavior setting attributes.
I've made a journal that sets the attribute "PLIST_IGNORE_MEMBER" to selected components in an assembly.
If I use:
component.SetUserAttribute(attName, -1, attVal, Update.Option.Now)
the attribute is saved. But if I use...
Hi,
I've found several journals to coloring holes:
https://www.eng-tips.com/viewthread.cfm?qid=384927
https://nxjournaling.com/content/change-hole-color
These journals "detects" holes created by hole package and also distinguises diameters, but for "linked holes" only detects the...
Hi cowsky,
Yes, it meets. I have tried with several parts and the continuity is OK and the deviation is totally acceptable. It's a bit laborious but it does the job.
Thanks. Once again I have found a solution in this forum.[bigsmile]
Regards,
Javier
NX 12.0.2.9 MP14
Hi,
I've done some test with CGM as intermediary, and you both (Toost and cowsky) are right: using cgm eliminates the problem with the gaps, but is also true that the result is not accurate enough.
Another work-around would be to create an assembly with the piece, reposition the component to...